Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

eclipse-jdt-4.16-13.fc32 RPM for noarch

From Fedora 32 updates for aarch64 / Packages / e

Name: eclipse-jdt Distribution: Fedora Project
Version: 4.16 Vendor: Fedora Project
Release: 13.fc32 Build date: Thu Sep 3 16:48:01 2020
Group: Unspecified Build host: buildhw-x86-14.iad2.fedoraproject.org
Size: 36228890 Source RPM: eclipse-4.16-13.fc32.src.rpm
Packager: Fedora Project
Url: https://www.eclipse.org/
Summary: Eclipse Java Development Tools
Eclipse Java Development Tools.  This package is required to use Eclipse for
developing software written in the Java programming language.

Provides

Requires

License

EPL-2.0

Changelog

* Tue Aug 25 2020 Mat Booth <mat.booth@redhat.com> - 1:4.16-13
  - Platform actually requires OpenJDK devel package for ct.sym
* Mon Aug 24 2020 Mat Booth <mat.booth@redhat.com> - 1:4.16-12
  - Rebuild against new jakarta-el,-jsp packages
  - Fix javadoc generation relying on Windows version of SWT
* Fri Aug 21 2020 Mat Booth <mat.booth@redhat.com> - 1:4.16-11
  - Rebuild with a dependency on obsolete log4j package
  - Run mvn_install with Java 11
* Wed Aug 19 2020 Mat Booth <mat.booth@redhat.com> - 1:4.16-10
  - Rebuild against jakarta servlet API and updated batik
  - Update eclipse-build snapshot
* Fri Aug 14 2020 Mat Booth <mat.booth@redhat.com> - 1:4.16-9
  - Restore explicit glassfish-annotation-api dep
* Fri Aug 14 2020 Mat Booth <mat.booth@redhat.com> - 1:4.16-8
  - Rebuild for new jetty version
* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1:4.16-7
  - Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild
* Tue Jul 21 2020 Mat Booth <mat.booth@redhat.com> - 1:4.16-6
  - Require Java 11 explicitly
  - Drop hotspot exclusions from the JDK 6 era
* Fri Jul 10 2020 Jiri Vanek <jvanek@redhat.com> - 1:4.16-5
  - Rebuilt for JDK-11, see https://fedoraproject.org/wiki/Changes/Java11
* Mon Jun 29 2020 Mat Booth <mat.booth@redhat.com> - 1:4.16-4
  - Update linux-build snapshot and fix adding junit classpath containers to java
    projects
* Tue Jun 23 2020 Mat Booth <mat.booth@redhat.com> - 1:4.16-3
  - Make a bit more portable and fix bootstrap mode
* Fri Jun 19 2020 Mat Booth <mat.booth@redhat.com> - 1:4.16-2
  - Non-bootstrap build
* Thu Jun 18 2020 Mat Booth <mat.booth@redhat.com> - 1:4.16-1
  - Update to latest upstream release
* Thu Apr 02 2020 Mat Booth <mat.booth@redhat.com> - 1:4.15-5
  - Make the requirement on felix-scr more strict
* Thu Apr 02 2020 Mat Booth <mat.booth@redhat.com> - 1:4.15-4
  - Allow library detector to build on Java 11
* Sun Mar 29 2020 Mat Booth <mat.booth@redhat.com> - 1:4.15-3
  - Don't build and ship the test framework. We are not shipping any actual tests
    anyway and this allows to drop the dependency on mockito and friends.
* Mon Mar 23 2020 Mat Booth <mat.booth@redhat.com> - 1:4.15-2
  - Set compiler release to Java 8 on certain bundles
* Sat Mar 21 2020 Mat Booth <mat.booth@redhat.com> - 1:4.15-1
  - Update to latest upstream release
* Tue Jan 28 2020 Mat Booth <mat.booth@redhat.com> - 1:4.14-5
  - Backport patch to fix build against GCC 10
* Thu Jan 23 2020 Mat Booth <mat.booth@redhat.com> - 1:4.14-4
  - Remove BR on bouncycastle
* Thu Jan 23 2020 Mat Booth <mat.booth@redhat.com> - 1:4.14-3
  - Remove references to kxml/xpp3
* Thu Dec 19 2019 Mat Booth <mat.booth@redhat.com> - 1:4.14-2
  - Full build
  - Drop tests sub-package
* Thu Dec 19 2019 Mat Booth <mat.booth@redhat.com> - 1:4.14-1
  - Update to latest upstream release
* Thu Dec 19 2019 Mat Booth <mat.booth@redhat.com> - 1:4.13-7
  - Bump requirements on EMF/ECF
* Wed Dec 18 2019 Mat Booth <mat.booth@redhat.com> - 1:4.13-6
  - Remove unnecessary dep on apache-commons-el
  - Enable bootstrap mode
* Wed Nov 20 2019 Mat Booth <mat.booth@redhat.com> - 1:4.13-5
  - Obsolete retired packages
* Mon Sep 23 2019 Mat Booth <mat.booth@redhat.com> - 1:4.13-4
  - Add patch for ebz#550606
* Mon Sep 23 2019 Mat Booth <mat.booth@redhat.com> - 1:4.13-3
  - Fix explicit hamcrest reqs
* Mon Sep 16 2019 Mat Booth <mat.booth@redhat.com> - 1:4.13-2
  - Fix PDE installation
* Mon Sep 09 2019 Mat Booth <mat.booth@redhat.com> - 1:4.13-1
  - Update to latest upstream release
* Wed Jul 24 2019 Mat Booth <mat.booth@redhat.com> - 1:4.12-6
  - Reenable normal debuginfo generation for the launcher binary on Fedora
* Thu Jun 27 2019 Mat Booth <mat.booth@redhat.com> - 1:4.12-5
  - Fix NoClassDefFoundError regression in ant support
* Thu Jun 20 2019 Mat Booth <mat.booth@redhat.com> - 1:4.12-4
  - Fix deps on batik stack
* Thu Jun 20 2019 Mat Booth <mat.booth@redhat.com> - 1:4.12-3
  - Disable more examples and allow contrib-tools mode to build properly
* Wed Jun 19 2019 Mat Booth <mat.booth@redhat.com> - 1:4.12-2
  - Additional fixes for ebz548211
* Mon Jun 17 2019 Mat Booth <mat.booth@redhat.com> - 1:4.12-1
  - Update to 2019-06 release
* Sun Jun 16 2019 Mat Booth <mat.booth@redhat.com> - 1:4.11-15
  - Rebuild against new Jetty, ECF and EMF
* Wed Jun 12 2019 Mat Booth <mat.booth@redhat.com> - 1:4.11-14
  - Full rebuild
* Wed Jun 12 2019 Mat Booth <mat.booth@redhat.com> - 1:4.11-13
  - Add patch for lucene 8 and rebootstrap
* Thu May 30 2019 Mat Booth <mat.booth@redhat.com> - 1:4.11-12
  - Avoid requirement on optional test dependency commons-fileupload
* Fri May 24 2019 Mat Booth <mat.booth@redhat.com> - 1:4.11-11
  - Clean up unused maven metadata
* Fri May 24 2019 Mat Booth <mat.booth@redhat.com> - 1:4.11-10
  - Add missing BR on google-gson
* Thu May 23 2019 Mat Booth <mat.booth@redhat.com> - 1:4.11-9
  - Bump deps on batik and xmlgraphics
* Tue May 07 2019 Mat Booth <mat.booth@redhat.com> - 1:4.11-8
  - Re-instate junit5 dep since dependent modules were fixed
* Wed May 01 2019 Mat Booth <mat.booth@redhat.com> - 1:4.11-7
  - Bump requirements on Jetty
  - Avoid reliance on Javascript in SWT build
* Tue Apr 30 2019 Mat Booth <mat.booth@redhat.com> - 1:4.11-6
  - Disable hard requirement on ant-junit5
* Thu Apr 25 2019 Mat Booth <mat.booth@redhat.com> - 1:4.11-5
  - Fix bootstrap mode to use bcond flags
  - Bump requirements on Jetty, SCR and ICU4j
* Wed Apr 10 2019 Mat Booth <mat.booth@redhat.com> - 1:4.11-4
  - Obsolete recommenders package, rhbz#1698504
* Tue Mar 19 2019 Mat Booth <mat.booth@redhat.com> - 1:4.11-3
  - Pre-strip debuginfo from the launcher binary to avoid conflicts with other RCP
    applications, which will use identical launcher binaries
* Thu Mar 14 2019 Mat Booth <mat.booth@redhat.com> - 1:4.11-2
  - Full build
* Mon Mar 11 2019 Mat Booth <mat.booth@redhat.com> - 1:4.11-1
  - Update to 2019-03 release
  - Drop support for 32-bit architectures
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1:4.10.0-3
  - Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
* Thu Jan 10 2019 Mat Booth <mat.booth@redhat.com> - 1:4.10.0-2
  - No longer recommend Code Recommenders
* Tue Dec 11 2018 Mat Booth <mat.booth@redhat.com> - 1:4.10.0-1
  - Update to 2018-12 release
  - Update eclipse-build snapshot
* Thu Dec 06 2018 Mat Booth <mat.booth@redhat.com> - 1:4.10.0-0.3
  - Update to latest I-build
  - Build against latest jetty, mockito packages
  - Update requirements on EMF and ECF
* Tue Dec 04 2018 Mat Booth <mat.booth@redhat.com> - 1:4.10.0-0.2
  - Allow building on Fedora 29
* Thu Nov 29 2018 Mat Booth <mat.booth@redhat.com> - 1:4.10.0-0.1
  - Update to latest I-build
  - Enable bootstrap mode
* Fri Sep 28 2018 Jeff Johnston <jjohnstn@redhat.com> - 1:4.9.0-2
  - Add org.eclipse.equinox.executable for building RCP apps
* Wed Sep 12 2018 Mat Booth <mat.booth@redhat.com> - 1:4.9.0-1
  - Update to final bits for 4.9
  - Fix NPE due to missing agent jar

Files

/usr/share/appdata/eclipse-jdt.metainfo.xml
/usr/share/eclipse/droplets/eclipse-jdt
/usr/share/eclipse/droplets/eclipse-jdt/features
/usr/share/eclipse/droplets/eclipse-jdt/features/org.eclipse.jdt_3.18.400.v20200612-0706
/usr/share/eclipse/droplets/eclipse-jdt/features/org.eclipse.jdt_3.18.400.v20200612-0706/META-INF
/usr/share/eclipse/droplets/eclipse-jdt/features/org.eclipse.jdt_3.18.400.v20200612-0706/META-INF/MANIFEST.MF
/usr/share/eclipse/droplets/eclipse-jdt/features/org.eclipse.jdt_3.18.400.v20200612-0706/epl-2.0.html
/usr/share/eclipse/droplets/eclipse-jdt/features/org.eclipse.jdt_3.18.400.v20200612-0706/feature.properties
/usr/share/eclipse/droplets/eclipse-jdt/features/org.eclipse.jdt_3.18.400.v20200612-0706/feature.xml
/usr/share/eclipse/droplets/eclipse-jdt/features/org.eclipse.jdt_3.18.400.v20200612-0706/license.html
/usr/share/eclipse/droplets/eclipse-jdt/fragment.info
/usr/share/eclipse/droplets/eclipse-jdt/plugins
/usr/share/eclipse/droplets/eclipse-jdt/plugins/com.univocity.parsers_2.8.4.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.apiguardian_1.1.0.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.ant.launching_1.2.900.v20200612-0706.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.ant.ui_3.7.800.v20200612-0706.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.annotation_2.2.600.v20200612-0706.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.apt.core_3.6.600.v20200612-0706.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.apt.pluggable.core_1.2.500.v20200612-0706.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.apt.ui_3.6.400.v20200612-0706.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.compiler.apt_1.3.1000.v20200612-0706.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.compiler.tool_1.2.900.v20200612-0706.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.core.formatterapp_1.0.0.v20200612-0706.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.core.manipulation_1.14.0.v20200612-0706.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.core_3.22.0.v20200612-0706.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.debug.ui_3.11.0.v20200612-0706.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.debug_3.15.100.v20200612-0706
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.debug_3.15.100.v20200612-0706/.api_description
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.debug_3.15.100.v20200612-0706/.options
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.debug_3.15.100.v20200612-0706/META-INF
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.debug_3.15.100.v20200612-0706/META-INF/MANIFEST.MF
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.debug_3.15.100.v20200612-0706/about.html
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.debug_3.15.100.v20200612-0706/jdi.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.debug_3.15.100.v20200612-0706/jdimodel.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.debug_3.15.100.v20200612-0706/plugin.properties
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.debug_3.15.100.v20200612-0706/plugin.xml
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.doc.user_3.15.700.v20200612-0706.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.junit.core_3.10.700.v20200612-0706.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.junit.runtime_3.5.200.v20200612-0706.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.junit4.runtime_1.1.1200.v20200612-0706.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.junit5.runtime_1.0.900.v20200612-0706.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.junit_3.11.800.v20200612-0706.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.launching_3.17.100.v20200612-0706.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt.ui_3.21.100.v20200612-0706.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.eclipse.jdt_3.18.400.v20200612-0706.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.hamcrest.core_1.3.0.v201303031735.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.junit.jupiter.api_5.5.2.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.junit.jupiter.engine_5.5.2.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.junit.jupiter.migrationsupport_5.5.2.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.junit.jupiter.params_5.5.2.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.junit.platform.commons_1.5.2.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.junit.platform.engine_1.5.2.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.junit.platform.launcher_1.5.2.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.junit.platform.runner_1.5.2.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.junit.platform.suite.api_1.5.2.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.junit.vintage.engine_5.5.2.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.junit_4.12.0.jar
/usr/share/eclipse/droplets/eclipse-jdt/plugins/org.opentest4j_1.1.1.jar
/usr/share/maven-metadata/eclipse-jdt.xml


Generated by rpm2html 1.8.1

Fabrice Bellet, Mon May 9 14:21:55 2022